Bug 203561 - split -devel out of numactl
split -devel out of numactl
Product: Fedora
Classification: Fedora
Component: numactl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-08-22 10:09 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.9.8-1.35
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-25 14:43:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-22 10:09:12 EDT
Description of problem:

The .h, .so mand man3 pages should go to a -devel 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Neil Horman 2006-08-25 11:38:28 EDT
done.  The .so files need to stay in the base package, as numactl links to it
dynamically, so we either need to keep it there, or make numactl dependent on
its own -devel package, which seems to make the whole operation moot.
Comment 2 Patrice Dumas 2006-08-25 11:47:51 EDT
numactl itself seems to be linked with the dynamic linker:
$ ldd /usr/bin/numactl 
        libnuma.so.1 => /usr/lib/libnuma.so.1 (0x00a0d000)

And similarly with the other programs provided in numactl.
Is there really an application dlopening /usr/lib/libnuma.so?
Comment 3 Neil Horman 2006-08-25 13:36:16 EDT
you miss the point.  numactl is linked dynamically with libnuma.so.1, so if we
don't include it in the main package, it won't run, or we have to make numactl
depend on numactl-devel, which largely defeats the purpose of separation.  The
DSO is in the right place.
Comment 4 Patrice Dumas 2006-08-25 13:56:32 EDT
Ok, I understand the misunderstanding, now. What I am saying 
is that
should go to the -devel package, and not /usr/lib/libnuma.so.1
which is perfectly right in the main package...

This may be better explained here, as a MUST item:
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
Comment 5 Neil Horman 2006-08-25 14:43:54 EDT
yeah, ok.  fixed in -35

Note You need to log in before you can comment on or make changes to this bug.